<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>R-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#randomDate(int)">randomDate(int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Get a random date for year indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#randomInt(int,int)">randomInt(int, int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Gets a random integer number in the range 1 to the maximum value indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#recalculatePersons()">recalculatePersons()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Recalculates the number and types of people included in the ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AtraccionesActivas.html#removeAttraction(int,java.lang.String)">removeAttraction(int, String)</a></span> - Method in class attractions.<a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></dt>
<dd>
<div class="block">Remove attraction status control for one or all years
 (year == 0 [all years])</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#removeDiscount(int)">removeDiscount(int)</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Remove indicate discount from discount list</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#removePerson(int)">removePerson(int)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Remove the indicated person from the list</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#requestDate(java.lang.String)">requestDate(String)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Request a date value to the user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionReport.html#requestIdAttraction()">requestIdAttraction()</a></span> - Method in class statistics.<a href="../statistics/RideAttractionReport.html" title="class in statistics">RideAttractionReport</a></dt>
<dd>
<div class="block">Requests the user one string id attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#requestInt(java.lang.String,int,int)">requestInt(String, int, int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Request a numeric value to the user.If indicated, an informative text is displayed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/StatisticsReport.html#requestPeriod()">requestPeriod()</a></span> - Method in class statistics.<a href="../statistics/StatisticsReport.html" title="class in statistics">StatisticsReport</a></dt>
<dd>
<div class="block">Requests the user one period higher than year MIN_YEAR</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#requestPeriod(java.lang.String)">requestPeriod(String)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Request a period of dates to the user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#requestPerson()">requestPerson()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Display the list of people and request a user</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#requestString(java.lang.String,int)">requestString(String, int)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Request a string value to the user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/StatisticsReport.html#requestYear()">requestYear()</a></span> - Method in class statistics.<a href="../statistics/StatisticsReport.html" title="class in statistics">StatisticsReport</a></dt>
<dd>
<div class="block">Requests the user one year higher than MIN_YEAR</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#rideAttraction">rideAttraction</a></span> - Variable in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Ride Attraction statistics</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionReport.html#rideAttraction">rideAttraction</a></span> - Variable in class statistics.<a href="../statistics/RideAttractionReport.html" title="class in statistics">RideAttractionReport</a></dt>
<dd>
<div class="block">Assistance statistics</div>
</dd>
<dt><a href="../statistics/RideAttraction.html" title="class in statistics"><span class="typeNameLink">RideAttraction</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#%3Cinit%3E()">RideAttraction()</a></span> - Constructor for class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../statistics/RideAttractionAnnual.html" title="class in statistics"><span class="typeNameLink">RideAttractionAnnual</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#%3Cinit%3E(int,attractions.Attraction,attractions.AttractionStatus)">RideAttractionAnnual(int, Attraction, AttractionStatus)</a></span> - Constructor for class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionStatistics.html#rideAttractionList">rideAttractionList</a></span> - Variable in class statistics.<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></dt>
<dd>
<div class="block">List of annuals statistics</div>
</dd>
<dt><a href="../statistics/RideAttractionReport.html" title="class in statistics"><span class="typeNameLink">RideAttractionReport</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Class for report the ride attraction statistics of the park</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionReport.html#%3Cinit%3E(statistics.RideAttractionStatistics)">RideAttractionReport(RideAttractionStatistics)</a></span> - Constructor for class statistics.<a href="../statistics/RideAttractionReport.html" title="class in statistics">RideAttractionReport</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../statistics/RideAttractionStatistics.html" title="class in statistics"><span class="typeNameLink">RideAttractionStatistics</span></a> - Class in <a href="../statistics/package-summary.html">statistics</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionStatistics.html#%3Cinit%3E()">RideAttractionStatistics()</a></span> - Constructor for class statistics.<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
